// DesVapourFect Code. By Jess Soriano Adam

#include <Servo.h>  //Servo Library
Servo myservo;
int t;

void setup () 
{
  myservo.attach(12); //Servo PIN
  myservo.write(80);  //Specify how many degrees do you need for start
  
  pinMode(11, OUTPUT); 
  pinMode(10, INPUT);     //Ultrasound Configuration
  digitalWrite(11, LOW);
  
}

void loop ()
{
  digitalWrite(11, HIGH);				//Ultrasound input
  delayMicroseconds(10);          //We send a 10 ms pulse
  digitalWrite(11, LOW);

  t = pulseIn(10, HIGH)/59;  // Cm conversion
  delay(500);
  
  if (t<100)          //If we detect a patient
  {
    myservo.write(130);  //We turn on the heater
    delay(35000);       //We wait for desinfection
  }
  else
  {
    myservo.write(80);   //Turn off the heater
  }
  
}